*** This do file replicates the results of Butcher and Svensson 2014 - "Manufacturing Dissent? Modernization and the Onset of Major Nonviolent Campaigns"
**** Journal of Conflict Resolution. 


set more off


***** Figure 1 *********
twoway (kdensity manufacimp2lag1 if onsetnv==1) (kdensity manufacimp2lag1) (kdensity manufacimp2lag1 if onsetv==1)


***** MODELS 1-8
**** base model 

set more off
mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M1

*******global nonviolent protest movements against authoritarian governments, 1960-2006
mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol if polity2lag1<=-5, vce(cluster ccodebg)
est store M2


******global nonviolent protest movements, 1960-2006, with modernization variables
mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol urbanpopulationoftotal averageschooling lgdpgrowthpenn, vce(cluster ccodebg)
est store M3

xtset ccodebg year
*******global nonviolent protest movements 1960-2006 xtlogit
xtlogit onsetnv lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol
est store M4


******* MAJOR Demonstrations in Africa 1990-2009 *******
mlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 regchange1to3 manufacimp2lag1  elect_n_all lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 nummd numucdp, vce(cluster ccodebg)
est store M6

******* MAJOR Demonstrations in Africa against authoritarian governments 1990-2009 *******
mlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 regchange1to3 manufacimp2lag1 elect_n_all lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3  ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 nummd numucdp if polity2lag1<=-6, vce(cluster ccodebg)
est store M7

******** MAJOR Demonstrations in Africa with modernization variables 1990-2009 *******
mlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 regchange1to3 manufacimp2lag1 elect_n_all  lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 nummd numucdp urbanpopulationoftotal averageschooling lgdpgrowthpenn, vce(cluster ccodebg)
est store M8

******* MAJOR Demonstrations in Africa xtlogit 1990-2009 *******
xtlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 regchange1to3 manufacimp2lag1 elect_n_all lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 nummd numucdp
est store M9



*** Produce Tables 1 and 2

est table M1 M2 M3 M4, b(%8.3f)  star (.05 .01 .001) stats(N)

est table M6 M7 M8 M9, b(%8.3f)  star (.05 .01 .001) stats(N)



est table M1 M2 M3 M4, b(%8.3f) se(%8.3f) stats(N r2_a) 

est table M6 M7 M8 M9, b(%8.3f) se(%8.3f) stats(N r2_a) 

est drop M1 M2 M3 M4 M6 M7 M8 M9  







****** Robustness Checks - Available in the Online Appendix

****** Onset of nonviolent movements - NAVCO and SCAD
set more off

list country year if mnonset==1

list country year if monsetmd==1


***** Summary of variables in Models 1-4  

summarize lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol urbanpopulationoftotal averageschooling lgdpgrowthpenn


correlate lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol urbanpopulationoftotal averageschooling lgdpgrowthpenn if mnonset!=.

correlate lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 nummd numucdp urbanpopulationoftotal averageschooling lgdpgrowthpenn if monsetmd!=.


**** Other Robustness tests - Models 1-15 in the Online Appendix
set more off
mlogit mnonset1_1 lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M1

mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufaclag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M2

mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimplag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M3

mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all physintlag1 nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M4

mlogit mnonset fuel33 lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M5

mlogit mnonset lntotpop lnimrlag1 manufacimp2lag1, vce(cluster ccodebg)
est store M6

mprobit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M7

mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol nseasia csasia mena ssafrica lamerica ocepac, vce(cluster ccodebg)
est store M8

mlogit mnonset lngovconsumpl_zero lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M9

mlogit mnonset femliteracy2 lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M10

mlogit mnonset tradeimp2lag1 serviceimp2lag1 lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M11

mlogit mnonset unemploymenttotaloftotallaborfor lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M12

mlogit mnonset averageschoolingxdecline lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol averageschooling lgdpgrowthpenn, vce(cluster ccodebg)
est store M13

mlogit mnonset lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol if rgdpch<20000, vce(cluster ccodebg)
est store M14

mlogit mnonsetgov lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M15

est table M1 M2 M3 M4 M5 M6 M7 M8 M9 M10 M11 M12 M13 M14 M15, b(%8.3f)  star (.05 .01 .001)



**** Other Robustness tests - Models 1-13 in the Online Appendix - SCAD
set more off 
mlogit monsetnw lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M1

mlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufaclag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M2

mlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimplag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M3

mlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all physintlag1 mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M4

mlogit monsetmd fuel33lag1imp2 lntotpop lnimrlag1  polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M5

mlogit monsetmd lntotpop lnimrlag1 manufacimp2lag1, vce(cluster ccodebg)
est store M6

mprobit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M7

mlogit monsetmd lngovconsumpl_zero lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M8

mlogit monsetmd femliteracy2 lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M9

mlogit monsetmd tradeimp2lag1 serviceimp2lag1 lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M10

mlogit monsetmd unemploymenttotaloftotallaborfor lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol, vce(cluster ccodebg)
est store M11

mlogit monsetmd averageschoolingxdecline lntotpop lnimrlag1 polity2lag1 polity2sqlag1 manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 numnonviol numviol averageschooling lgdpgrowthpenn, vce(cluster ccodebg)
est store M12


est table M1 M2 M3 M4 M5 M6 M7 M8 M9 M10 M11 M12, b(%8.3f)  star (.05 .01 .001)




 
 
 
 **** Marginal Effects
 **** Global analysis 
set seed 12345

estsimp mlogit mnonset lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol urbanpopulationoftotal averageschooling lgdpgrowthpenn, vce(cluster ccodebg)



setx mean 
simqi, pr
setx manufacimp2lag1 15.2915+7.846438
simqi, pr
  

foreach yvar in lntotpop lnimrlag1 polity2lag1 polity2sqlag1  manufacimp2lag1 elect_n_all regchange1to3 lmilper_all lslddumimpnew nvstabyrs nvstabyrs2 nvstabyrs3 vstabyrs vstabyrs2 vstabyrs3 numnonviol numviol urbanpopulationoftotal averageschooling lgdpgrowthpenn {

		setx mean
		quietly summarize `yvar'
		local a = r(mean)
		local b = r(sd)
		local c = `a'+`b'
		noisily simqi, fd(pr) changex(`yvar' `a' `c')
		local drop _all
	
}

drop b1-b42


**** Marginal Effects
 **** Africa 1990-2009
set seed 12345

estsimp mlogit monsetmd lntotpop lnimrlag1 polity2lag1 polity2sqlag1 regchange1to3 manufacimp2lag1 elect_n_all  lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 nummd numucdp, vce(cluster ccodebg)



setx mean 
simqi, pr
setx manufacimp2lag1 10.98811+7.143611
simqi, pr
  

foreach yvar in lntotpop lnimrlag1 polity2lag1 polity2sqlag1 regchange1to3 manufacimp2lag1 elect_n_all  lmilper_all lslddumimpnew mdstabyrs mdstabyrs2 mdstabyrs3 ucdpstabyrs ucdpstabyrs2 ucdpstabyrs3 nummd numucdp {

		setx mean
		quietly summarize `yvar'
		local a = r(mean)
		local b = r(sd)
		local c = `a'+`b'
		noisily simqi, fd(pr) changex(`yvar' `a' `c')
		local drop _all
	
}

drop b1-b36







